TaxonomySearchServiceImpl (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.server

## Class TaxonomySearchServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.portlets.user.speciesdiscovery.server.TaxonomySearchServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, TaxonomySearchService

      public class TaxonomySearchServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements TaxonomySearchService

  The server side implementation of the RPC service.
  Author:
    "Federico De Faveri defaveri@isti.cnr.it" -, "Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it"
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BASETAXONOMY`
    `protected static long` | `BUFFER_LIMIT`
    `protected org.apache.log4j.Logger` | `logger`
    `protected static long` | `MAX_BUFFERING_ELEMENTS`
    `protected static String` | `RESUBMIT`
    `protected static String` | `SAVE_CHILDREN_OF`
    `static String` | `TAXONOMYUNKNOWN`
    `static String` | `UNK`

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaxonomySearchServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `cancelOccurrenceJob(String jobIdentifier)`
    `boolean` | `cancelTaxonomyJob(String jobIdentifier)`
    `boolean` | `changeStatusOccurrenceJob(String jobIdentifier, DownloadState state)`
    `boolean` | `changeStatusTaxonomyJob(String jobIdentifier, DownloadState state)`
    `int` | `countOfSelectedRow()`
    `List<JobOccurrencesModel>` | `createOccurrencesJob(List<JobOccurrencesModel> listJobOccurrenceModel, SaveFileFormat saveFileFormat, OccurrencesSaveEnum csvType, boolean isByDataSource, int expectedOccurrence)`
    `JobTaxonomyModel` | `createTaxonomyJobByChildren(String taxonomyServiceId, String taxonomyName, String taxonomyRank, String dataSourceName)`
    `JobTaxonomyModel` | `createTaxonomyJobByIds(String search, List<DataSourceModel> dataSources)`
    `protected File` | `generateCSVFile(List<String> ids, OccurrencesSaveEnum csvType)`
    `String` | `generateMapFromSelectedOccurrencePoints()`
    `protected org.gcube.application.framework.core.session.ASLSession` | `getASLSession()`
    `OccurrencesStatus` | `getCountOfOccurrencesBatch()`
    `HashMap<String,Integer>` | `getFilterCounterById(GridField field)`
    `HashMap<String,ClassificationModel>` | `getFilterCounterForClassification(String rankLabel)`
    `protected Iterator<Occurrence>` | `getIteratorSelectedOccurrenceIds()`
    `String` | `getLastQuery()`
    `List<JobOccurrencesModel>` | `getListOccurrencesJob()`
    `List<JobTaxonomyModel>` | `getListTaxonomyJobs()`
    `OccurrenceBatch` | `getOccurrencesBatch(int start, int limit)`
    `protected FetchingSession<Occurrence>` | `getOccurrenceSession()`
    `List<Taxon>` | `getParentsList(Taxon taxon)`
    `SearchResult<ResultRow>` | `getSearchResultRows(int start, int limit, ResultFilter activeFiltersObject, boolean onlySelected)`
    `protected FetchingSession<? extends FetchingElement>` | `getSearchSession()`
    `SearchStatus` | `getSearchStatus(boolean onlySelected, boolean isActiveFilterOnResult)`
    `SearchResult<TaxonomyRow>` | `getSearchTaxonomyRow(int start, int limit, ResultFilter activeFiltersObject, boolean onlySelected)`
    `protected List<String>` | `getSelectedOccurrenceIds()`
    `protected List<String>` | `getSelectedOccurrenceKeys()`
    `protected List<String>` | `getSelectedResultRowId()`
    `protected Map<String,String>` | `getSelectedTaxonomyIdAndDataSource()`
    `protected SpeciesService` | `getSpeciesService()`
    `boolean` | `isAvailableOccurrenceJobReportError(String jobIdentifier)`
    `boolean` | `isAvailableTaxonomyJobReportError(String jobIdentifier)`
    `List<DataSource>` | `loadDataSourceForResultRow(boolean selected, boolean distinct)`
    `List<DataSourceModel>` | `loadDataSourceList()`
    `ArrayList<TaxonomyRow>` | `loadListChildByParentId(String parentId)`
    `ArrayList<CommonName>` | `loadListCommonNameByRowId(String resultRowId)`
    `ClusterStructuresForResultRow` | `loadStructuresForResultRowClustering()`
    `ClusterStructuresForTaxonomyRow` | `loadStructuresForTaxonomyClustering()`
    `TaxonomyRow` | `loadTaxonomyParentByParentId(String parentID)`
    `protected void` | `printId(List<String> listId)`
    `List<JobOccurrencesModel>` | `resubmitOccurrencesJob(String jobIdentifier)`
    `JobTaxonomyModel` | `resubmitTaxonomyJob(String jobIdentifier)`
    `int` | `retrieveOccurencesFromSelection()`
    `List<TaxonomyRow>` | `retrieveSynonymsByRefId(String refId)`
    `List<TaxonomyRow>` | `retrieveTaxonomyByIds(List<String> ids)`
    `boolean` | `saveOccurrenceJob(JobOccurrencesModel jobModel, String destinationFolderId, String fileName, String scientificName, String dataSourceName)`
    `boolean` | `saveOccurrenceJobError(JobOccurrencesModel jobModel, String destinationFolderId, String fileName, String scientificName, String dataSourceName)`
    `void` | `saveSelectedOccurrencePoints(String destinationFolderId, String fileName, SaveFileFormat fileFormat, OccurrencesSaveEnum typeCSV)`
    `void` | `saveSelectedTaxonomyPoints(String destinationFolderId, String fileName, SaveFileFormat fileFormat)`
    `boolean` | `saveTaxonomyJob(String jobIdentifier, String destinationFolderId, String fileName, String scientificName, String dataSourceName)`
    `boolean` | `saveTaxonomyJobError(String jobIdentifier, String destinationFolderId, String fileName, String scientificName, String dataSourceName)`
    `protected SearchResultType` | `search(String searchTerm, SearchType searchType, SearchFilters searchFilters)`
    `void` | `searchByCommonName(String searchTerm, SearchFilters searchFilters)`
    `SearchByQueryParameter` | `searchByQuery(String query)`
    `void` | `searchByScientificName(String searchTerm, SearchFilters searchFilters)`
    `void` | `stopRetrievingOccurrences()`
    `void` | `stopSearch()`
    `void` | `stopSearchWithoutRemove()`
    `void` | `updateRowSelection(int rowId, boolean selection)`
    `Integer` | `updateRowSelections(boolean selection, ResultFilter activeFiltersObject)`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SAVE_CHILDREN_OF

          protected static final String SAVE_CHILDREN_OF

      See Also:
        Constant Field Values

    - #### RESUBMIT

          protected static final String RESUBMIT

      See Also:
        Constant Field Values

    - #### MAX_BUFFERING_ELEMENTS

          protected static final long MAX_BUFFERING_ELEMENTS

      See Also:
        Constant Field Values

    - #### BUFFER_LIMIT

          protected static final long BUFFER_LIMIT

      See Also:
        Constant Field Values

    - #### logger

          protected org.apache.log4j.Logger logger

    - #### TAXONOMYUNKNOWN

          public static final String TAXONOMYUNKNOWN

      See Also:
        Constant Field Values

    - #### BASETAXONOMY

          public static final String BASETAXONOMY

      See Also:
        Constant Field Values

    - #### UNK

          public static final String UNK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TaxonomySearchServiceImpl

          public TaxonomySearchServiceImpl()

  - ### Method Detail

    - #### getASLSession

          protected org.gcube.application.framework.core.session.ASLSession getASLSession()

    - #### getSpeciesService

          protected SpeciesService getSpeciesService()
                                              throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### getSearchSession

          protected FetchingSession<? extends FetchingElement> getSearchSession()
                                                                         throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### getOccurrenceSession

          protected FetchingSession<Occurrence> getOccurrenceSession()
                                                              throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### searchByScientificName

          public void searchByScientificName(String searchTerm,
                                    SearchFilters searchFilters)
                                      throws SearchServiceException

      Specified by:
        `searchByScientificName` in interface `TaxonomySearchService`
      Throws:
        `SearchServiceException`

    - #### searchByCommonName

          public void searchByCommonName(String searchTerm,
                                SearchFilters searchFilters)
                                  throws SearchServiceException

      Specified by:
        `searchByCommonName` in interface `TaxonomySearchService`
      Throws:
        `SearchServiceException`

    - #### search

          protected SearchResultType search(String searchTerm,
                                SearchType searchType,
                                SearchFilters searchFilters)
                                     throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### searchByQuery

          public SearchByQueryParameter searchByQuery(String query)
                                               throws SearchServiceException

      Specified by:
        `searchByQuery` in interface `TaxonomySearchService`
      Throws:
        `SearchServiceException`

    - #### getSearchResultRows

          public SearchResult<ResultRow> getSearchResultRows(int start,
                                                    int limit,
                                                    ResultFilter activeFiltersObject,
                                                    boolean onlySelected)
                                                      throws SearchServiceException

      Specified by:
        `getSearchResultRows` in interface `TaxonomySearchService`
      Throws:
        `SearchServiceException`

    - #### getSearchTaxonomyRow

          public SearchResult<TaxonomyRow> getSearchTaxonomyRow(int start,
                                                       int limit,
                                                       ResultFilter activeFiltersObject,
                                                       boolean onlySelected)
                                                         throws SearchServiceException

      Specified by:
        `getSearchTaxonomyRow` in interface `TaxonomySearchService`
      Throws:
        `SearchServiceException`

    - #### loadTaxonomyParentByParentId

          public TaxonomyRow loadTaxonomyParentByParentId(String parentID)
                                                   throws Exception

      Throws:
        `Exception`

    - #### getFilterCounterById

          public HashMap<String,Integer> getFilterCounterById(GridField field)
                                                       throws Exception

      Specified by:
        `getFilterCounterById` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### getFilterCounterForClassification

          public HashMap<String,ClassificationModel> getFilterCounterForClassification(String rankLabel)
                                                                                throws Exception

      Specified by:
        `getFilterCounterForClassification` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### getSearchStatus

          public SearchStatus getSearchStatus(boolean onlySelected,
                                     boolean isActiveFilterOnResult)
                                       throws SearchServiceException

      Specified by:
        `getSearchStatus` in interface `TaxonomySearchService`
      Throws:
        `SearchServiceException`

    - #### stopSearchWithoutRemove

          public void stopSearchWithoutRemove()
                                       throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### stopSearch

          public void stopSearch()
                          throws SearchServiceException

      Specified by:
        `stopSearch` in interface `TaxonomySearchService`
      Throws:
        `SearchServiceException`

    - #### updateRowSelection

          public void updateRowSelection(int rowId,
                                boolean selection)
                                  throws SearchServiceException

      Specified by:
        `updateRowSelection` in interface `TaxonomySearchService`
      Throws:
        `SearchServiceException`

    - #### updateRowSelections

          public Integer updateRowSelections(boolean selection,
                                    ResultFilter activeFiltersObject)
                                      throws SearchServiceException

      Specified by:
        `updateRowSelections` in interface `TaxonomySearchService`
      Throws:
        `SearchServiceException`

    - #### countOfSelectedRow

          public int countOfSelectedRow()
                                 throws SearchServiceException

      Specified by:
        `countOfSelectedRow` in interface `TaxonomySearchService`
      Throws:
        `SearchServiceException`

    - #### retrieveOccurencesFromSelection

          public int retrieveOccurencesFromSelection()
                                              throws SearchServiceException

      Specified by:
        `retrieveOccurencesFromSelection` in interface `TaxonomySearchService`
      Throws:
        `SearchServiceException`

    - #### getOccurrencesBatch

          public OccurrenceBatch getOccurrencesBatch(int start,
                                            int limit)
                                              throws SearchServiceException

      Specified by:
        `getOccurrencesBatch` in interface `TaxonomySearchService`
      Throws:
        `SearchServiceException`

    - #### getCountOfOccurrencesBatch

          public OccurrencesStatus getCountOfOccurrencesBatch()
                                                       throws SearchServiceException

      Specified by:
        `getCountOfOccurrencesBatch` in interface `TaxonomySearchService`
      Throws:
        `SearchServiceException`

    - #### stopRetrievingOccurrences

          public void stopRetrievingOccurrences()
                                         throws SearchServiceException

      Specified by:
        `stopRetrievingOccurrences` in interface `TaxonomySearchService`
      Throws:
        `SearchServiceException`

    - #### generateMapFromSelectedOccurrencePoints

          public String generateMapFromSelectedOccurrencePoints()
                                                         throws SearchServiceException

      Specified by:
        `generateMapFromSelectedOccurrencePoints` in interface `TaxonomySearchService`
      Throws:
        `SearchServiceException`

    - #### printId

          protected void printId(List<String> listId)

    - #### getSelectedOccurrenceIds

          protected List<String> getSelectedOccurrenceIds()
                                                   throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### getIteratorSelectedOccurrenceIds

          protected Iterator<Occurrence> getIteratorSelectedOccurrenceIds()
                                                                   throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### saveSelectedOccurrencePoints

          public void saveSelectedOccurrencePoints(String destinationFolderId,
                                          String fileName,
                                          SaveFileFormat fileFormat,
                                          OccurrencesSaveEnum typeCSV)
                                            throws SearchServiceException

      Specified by:
        `saveSelectedOccurrencePoints` in interface `TaxonomySearchService`
      Throws:
        `SearchServiceException`

    - #### saveSelectedTaxonomyPoints

          public void saveSelectedTaxonomyPoints(String destinationFolderId,
                                        String fileName,
                                        SaveFileFormat fileFormat)
                                          throws SearchServiceException

      Specified by:
        `saveSelectedTaxonomyPoints` in interface `TaxonomySearchService`
      Throws:
        `SearchServiceException`

    - #### getSelectedOccurrenceKeys

          protected List<String> getSelectedOccurrenceKeys()
                                                    throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### getSelectedResultRowId

          protected List<String> getSelectedResultRowId()
                                                 throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### getSelectedTaxonomyIdAndDataSource

          protected Map<String,String> getSelectedTaxonomyIdAndDataSource()
                                                                   throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### generateCSVFile

          protected File generateCSVFile(List<String> ids,
                             OccurrencesSaveEnum csvType)
                                  throws Exception

      Throws:
        `Exception`

    - #### loadDataSourceList

          public List<DataSourceModel> loadDataSourceList()
                                                   throws SearchServiceException

      Specified by:
        `loadDataSourceList` in interface `TaxonomySearchService`
      Throws:
        `SearchServiceException`

    - #### loadListCommonNameByRowId

          public ArrayList<CommonName> loadListCommonNameByRowId(String resultRowId)
                                                          throws Exception

      Specified by:
        `loadListCommonNameByRowId` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### getParentsList

          public List<Taxon> getParentsList(Taxon taxon)
                                     throws Exception

      Specified by:
        `getParentsList` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### loadListChildByParentId

          public ArrayList<TaxonomyRow> loadListChildByParentId(String parentId)
                                                         throws Exception

      Specified by:
        `loadListChildByParentId` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### getListTaxonomyJobs

          public List<JobTaxonomyModel> getListTaxonomyJobs()
                                                     throws Exception

      Specified by:
        `getListTaxonomyJobs` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### createTaxonomyJobByChildren

          public JobTaxonomyModel createTaxonomyJobByChildren(String taxonomyServiceId,
                                                     String taxonomyName,
                                                     String taxonomyRank,
                                                     String dataSourceName)
                                                       throws Exception

      Specified by:
        `createTaxonomyJobByChildren` in interface `TaxonomySearchService`
      Parameters:
        `taxonomyServiceId` -
        `taxonomyName` -
        `taxonomyRank` -
        `dataSourceName` -
      Returns:
      Throws:
        `Exception`

    - #### createTaxonomyJobByIds

          public JobTaxonomyModel createTaxonomyJobByIds(String search,
                                                List<DataSourceModel> dataSources)
                                                  throws Exception

      Specified by:
        `createTaxonomyJobByIds` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### resubmitTaxonomyJob

          public JobTaxonomyModel resubmitTaxonomyJob(String jobIdentifier)
                                               throws Exception

      Specified by:
        `resubmitTaxonomyJob` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### cancelTaxonomyJob

          public boolean cancelTaxonomyJob(String jobIdentifier)
                                    throws Exception

      Specified by:
        `cancelTaxonomyJob` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### saveTaxonomyJob

          public boolean saveTaxonomyJob(String jobIdentifier,
                                String destinationFolderId,
                                String fileName,
                                String scientificName,
                                String dataSourceName)
                                  throws Exception

      Specified by:
        `saveTaxonomyJob` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### saveTaxonomyJobError

          public boolean saveTaxonomyJobError(String jobIdentifier,
                                     String destinationFolderId,
                                     String fileName,
                                     String scientificName,
                                     String dataSourceName)
                                       throws Exception

      Specified by:
        `saveTaxonomyJobError` in interface `TaxonomySearchService`
      Returns:
      Throws:
        `Exception`

    - #### retrieveTaxonomyByIds

          public List<TaxonomyRow> retrieveTaxonomyByIds(List<String> ids)
                                                  throws Exception

      Specified by:
        `retrieveTaxonomyByIds` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### retrieveSynonymsByRefId

          public List<TaxonomyRow> retrieveSynonymsByRefId(String refId)
                                                    throws Exception

      Specified by:
        `retrieveSynonymsByRefId` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### createOccurrencesJob

          public List<JobOccurrencesModel> createOccurrencesJob(List<JobOccurrencesModel> listJobOccurrenceModel,
                                                       SaveFileFormat saveFileFormat,
                                                       OccurrencesSaveEnum csvType,
                                                       boolean isByDataSource,
                                                       int expectedOccurrence)
                                                         throws Exception

      Specified by:
        `createOccurrencesJob` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### resubmitOccurrencesJob

          public List<JobOccurrencesModel> resubmitOccurrencesJob(String jobIdentifier)
                                                           throws Exception

      Specified by:
        `resubmitOccurrencesJob` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### getListOccurrencesJob

          public List<JobOccurrencesModel> getListOccurrencesJob()
                                                          throws Exception

      Specified by:
        `getListOccurrencesJob` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### saveOccurrenceJob

          public boolean saveOccurrenceJob(JobOccurrencesModel jobModel,
                                  String destinationFolderId,
                                  String fileName,
                                  String scientificName,
                                  String dataSourceName)
                                    throws Exception

      Specified by:
        `saveOccurrenceJob` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### saveOccurrenceJobError

          public boolean saveOccurrenceJobError(JobOccurrencesModel jobModel,
                                       String destinationFolderId,
                                       String fileName,
                                       String scientificName,
                                       String dataSourceName)
                                         throws Exception

      Specified by:
        `saveOccurrenceJobError` in interface `TaxonomySearchService`
      Returns:
      Throws:
        `Exception`

    - #### cancelOccurrenceJob

          public boolean cancelOccurrenceJob(String jobIdentifier)
                                      throws Exception

      Specified by:
        `cancelOccurrenceJob` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### loadStructuresForResultRowClustering

          public ClusterStructuresForResultRow loadStructuresForResultRowClustering()
                                                                             throws Exception

      Specified by:
        `loadStructuresForResultRowClustering` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### loadDataSourceForResultRow

          public List<DataSource> loadDataSourceForResultRow(boolean selected,
                                                    boolean distinct)
                                                      throws Exception

      Specified by:
        `loadDataSourceForResultRow` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### loadStructuresForTaxonomyClustering

          public ClusterStructuresForTaxonomyRow loadStructuresForTaxonomyClustering()
                                                                              throws Exception

      Specified by:
        `loadStructuresForTaxonomyClustering` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### changeStatusOccurrenceJob

          public boolean changeStatusOccurrenceJob(String jobIdentifier,
                                          DownloadState state)
                                            throws Exception

      Specified by:
        `changeStatusOccurrenceJob` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### changeStatusTaxonomyJob

          public boolean changeStatusTaxonomyJob(String jobIdentifier,
                                        DownloadState state)
                                          throws Exception

      Specified by:
        `changeStatusTaxonomyJob` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### isAvailableTaxonomyJobReportError

          public boolean isAvailableTaxonomyJobReportError(String jobIdentifier)
                                                    throws Exception

      Specified by:
        `isAvailableTaxonomyJobReportError` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### isAvailableOccurrenceJobReportError

          public boolean isAvailableOccurrenceJobReportError(String jobIdentifier)
                                                      throws Exception

      Specified by:
        `isAvailableOccurrenceJobReportError` in interface `TaxonomySearchService`
      Throws:
        `Exception`

    - #### getLastQuery

          public String getLastQuery()

      Specified by:
        `getLastQuery` in interface `TaxonomySearchService`
      Returns:

Copyright © 2013. All Rights Reserved.